# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'simple-excel/version'

Gem::Specification.new do |spec|
  spec.name           = 'simple-excel'
  spec.platform       = Gem::Platform::RUBY
  spec.version        = SimpleExcel::VERSION
  spec.authors        = ['Mikhail Grachev']
  spec.email          = ['i@mgrachev.com']
  spec.description    = %q{A simple to work with Excel files}
  spec.summary        = %q{A simple to work with Excel files}
  spec.homepage       = 'https://github.com/mgrachev/simple-excel'
  spec.license        = 'MIT'

  spec.files          = `git ls-files`.split($/)
  spec.executables    = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files     = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths  = ['lib']

  spec.add_dependency 'spreadsheet', '~> 0.9.0'
  spec.add_dependency 'activesupport', '~> 3.2.14'

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec', '~> 2.14.1'

  spec.add_development_dependency 'yard', '~> 0.8.7.2'
  spec.add_development_dependency 'redcarpet', '~> 3.0.0' # Markdown implementation (for yard)
end
