require 'spec_helper'

describe SimpleExcel::ExtStringIO do
  let(:file) { File.join('spec', 'support', 'correct.xls') }

  context '#filepath' do
    it 'set and return the file path' do
      io = SimpleExcel::ExtStringIO.new
      io.filepath.should be_nil
      io.filepath = file
      io.filepath.should == file
    end
  end

  context '#original_filename' do
    it 'returns the file name' do
      io = SimpleExcel::ExtStringIO.new
      io.filepath = file
      io.original_filename.should eq File.basename(file)
    end
  end
end